## nicstat 1.95+git20150820.3c2407d

=== Makefile ===
# Makefile.Linux -	for nicstat, Linux platform edition

FILES =	nicstat

SOURCES =	nicstat.c

BINARY =	nicstat
BINARIES =	$(BINARY) enicstat

CC =		gcc
#-- This may be useful on RHEL versions where gcc is only version 4.1
#CC =		gcc43

#COPT =		-g
COPT =		-O3

# If you are building on (or for) a Linux distro that lacks support
# for ILP32, you can usually build an LP64 executable by changing
# CMODEL to -m64, or leaving it undefined (-m64 is the default on most
# Linux distros).

#CMODEL =
#CMODEL =	-m32

CFLAGS =	$(COPT) $(CMODEL)

INSTALL =	sudo install -o bin -g bin
SETUINSTALL =	sudo install -o root -g root -m 4511

#-- Change this for your OS.  Look in nicstat.sh to see if you want
#-- to be more specific
OSTYPE =	RedHat
OSREL =		5
CPUTYPE =	i386

#--------------------------------

BASEDIR =	/usr/local
BINDIR =	$(BASEDIR)/bin
MANDIR =	$(BASEDIR)/share/man
MP_DIR =	$(BINDIR)

BINARY =	nicstat
#NATIVE_BINARY =	.$(BINARY).$(OSTYPE)_$(OSREL)_$(CPUTYPE)
NATIVE_BINARY =	`./nicstat.sh --bin-name`


all: $(FILES)
	mv $? $(NATIVE_BINARY)

$(NATIVE_BINARY): $(BINARY)
	mv $? $@

#-- Choose one of these two install methods:
install: install_native install_man
#install: install_multi_platform install_man

install_native: $(BINARIES)
	$(SETUINSTALL) $(NATIVE_BINARY) $(BINDIR)/$(BINARY)
	$(INSTALL) -m 555 enicstat $(BINDIR)

#
# You may need to tweak the chown/chmod commands - all Linux
# binaries need setuid-root if they are to use the SIOCETHTOOL ioctl
# (which is optional, see the man page)
#
install_multi_platform: $(NATIVE_BINARY) enicstat
	$(INSTALL) -m 755 nicstat.sh $(BINDIR)/nicstat
	$(INSTALL) -m 555 enicstat $(BINDIR)
	sudo cp -p .nicstat.* $(MP_DIR)
	sudo chown root:bin $(MP_DIR)/.nicstat.Linux*
	sudo chmod 4711 $(MP_DIR)/.nicstat.Linux*

install_man: nicstat.1
	$(INSTALL) -m 444 nicstat.1 $(MANDIR)/man1/nicstat.1

lint:
	lint $(SOURCES) $(LDLIBS)

clean:
	rm -f $(FILES) .nicstat.*

## nicstat 1.92

=== debian/changelog ===
nicstat (1.92-1) unstable; urgency=low

  * Initial package. (Closes: #702541)

 -- James Troup <james.troup@canonical.com>  Fri, 08 Mar 2013 01:09:44 +0000

=== debian/control ===
Source: nicstat
Section: net
Priority: optional
Maintainer: James Troup <james.troup@canonical.com>
Standards-Version: 3.9.4.0
Build-Depends: debhelper (>= 9)
Homepage: http://blogs.sun.com/timc/entry/nicstat_the_solaris_and_linux

Package: nicstat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: print network traffic statistics
 nicstat is to network interfaces as iostat is to disks, or prstat
 is to processes. It is designed as a much better version of "netstat
 -i". Its differences include:
 .
  - Reports bytes in & out as well as packets.
  - Normalizes these values to per-second rates.
  - Reports on all interfaces (while iterating)
  - Reports Utilization (rough calculation as of now)
  - Reports Saturation (also rough)
  - Prefixes statistics with the current time

## nicstat 1.95

=== debian/changelog ===
nicstat (1.95-1) unstable; urgency=low

  * New upstream release.  (Closes: #754590)
   * 05-DUPLEX_UNKNOWN_redefinition.patch: no longer needed
   * 10-assignment_suppression_and_length_modifier.patch: likewise.

  * debian/patches/729895.patch: new patch from Stelios Bounanos to fix
    NIC speed calculation for 10GB NICs.  (Closes: #729895)

  * debian/patches/729897.patch: new patch from Stelios Bounanos to fix
    utilization calculation.  (Closes: #729897)

  * debian/control (Homepage): update to SourceForge project page.

  * debian/control (Standards-Version): bump to 3.9.5.0.

 -- James Troup <james.troup@canonical.com>  Thu, 24 Jul 2014 00:59:59 +0100

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS ?= -g -O2

%:
	dh $@

override_dh_clean:
	dh_clean
	make -f Makefile.Linux clean

override_dh_auto_build:
	make -f Makefile.Linux CFLAGS="$(CFLAGS)" nicstat

override_dh_installdocs:
	cp ChangeLog.txt debian/nicstat/usr/share/doc/nicstat/changelog
	dh_installdocs

=== debian/watch ===
version=3

http://sf.net/nicstat/nicstat-src-(.+)\.tar\.gz

## nicstat 1.95+git20150820.3c2407d

=== debian/changelog ===
nicstat (1.95+git20150820.3c2407d-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload on behalf of Package Salvage team
    Closes: #1081151
  * New upstream commit
    Closes: #847199
  * Fix Homepage
  * Link to fork on Github in debian/README.source
  * Point watch file to latest commit of Github
  * Set Vcs-Fields (routine-update)
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove unneeded debian/nicstat.dirs
  * Replace override by dh_installdocs by dh_installchangelogs

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    Closes: #900204

 -- Andreas Tille <tille@debian.org>  Mon, 30 Sep 2024 18:50:12 +0200

=== debian/control ===
Source: nicstat
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: James Troup <james.troup@canonical.com>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/salvage-team/nicstat
Vcs-Git: https://salsa.debian.org/salvage-team/nicstat.git
Homepage: https://sourceforge.net/projects/nicstat/
Rules-Requires-Root: no

Package: nicstat
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: print network traffic statistics
 nicstat is to network interfaces as iostat is to disks, or prstat
 is to processes. It is designed as a much better version of "netstat
  -i". Its differences include:
 .
  - Reports bytes in & out as well as packets.
  - Normalizes these values to per-second rates.
  - Reports on all interfaces (while iterating)
  - Reports Utilization (rough calculation as of now)
  - Reports Saturation (also rough)
  - Prefixes statistics with the current time

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS ?= -g -O2

%:
	dh $@ --buildsystem=makefile

override_dh_clean:
	dh_clean
	make -f Makefile clean

override_dh_auto_build:
	dh_auto_build -- -f Makefile CFLAGS="$(CFLAGS)" nicstat

override_dh_auto_install:
	echo "Install files via dh_install not via Makefile"

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.txt

=== debian/watch ===
version=4

opts="mode=git,pretty=1.95+git%cd.%h" \
    https://github.com/jjo/nicstat.git HEAD
